package com.qmth.distributed.print.business.bean.marking;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 试卷分组信息
 * @Author: CaoZixuan
 * @Date: 2022-04-13
 */
public class GroupInfo {
    @ApiModelProperty(value = "分组序号")
    private Integer groupNumber;

    @ApiModelProperty(value = "是否开启双评 true:开启双评 false:关闭双评")
    private Double doubleRate;

    @ApiModelProperty(value = "仲裁阈值")
    private Double arbitrateThreshold;

    @ApiModelProperty(value = "分组对应的题目集合")
    private List<Question> questions;

    @ApiModelProperty(value = "评卷员集合")
    @JsonSerialize(using = ToStringSerializer.class)
    private List<Marker> markerList;

    @ApiModelProperty(value = "图片配置")
    private List<PictureConfig> pictureConfigList;

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Double getDoubleRate() {
        return doubleRate;
    }

    public void setDoubleRate(Double doubleRate) {
        this.doubleRate = doubleRate;
    }

    public Double getArbitrateThreshold() {
        return arbitrateThreshold;
    }

    public void setArbitrateThreshold(Double arbitrateThreshold) {
        this.arbitrateThreshold = arbitrateThreshold;
    }

    public List<Question> getQuestions() {
        return questions;
    }

    public void setQuestions(List<Question> questions) {
        this.questions = questions;
    }

    public List<Marker> getMarkerList() {
        return markerList;
    }

    public void setMarkerList(List<Marker> markerList) {
        this.markerList = markerList;
    }

    public List<PictureConfig> getPictureConfigList() {
        return pictureConfigList;
    }

    public void setPictureConfigList(List<PictureConfig> pictureConfigList) {
        this.pictureConfigList = pictureConfigList;
    }
}
